My Project: dgQuaternion Class Reference

My Project

Public Member Functions | Public Attributes | List of all members
dgQuaternion Class Reference

`#include <dgQuaternion.h>`

## Public Member Functions

| dgQuaternion ()
| dgQuaternion (const dgMatrix &matrix)
| dgQuaternion (dgFloat32 q0, dgFloat32 q1, dgFloat32 q2, dgFloat32 q3)
| dgQuaternion (const dgVector &unit_Axis, dgFloat32 angle=dgFloat32(0.0f))
void | Scale (dgFloat32 scale)
void | Normalize ()
dgFloat32 | DotProduct (const dgQuaternion &QB) const
dgQuaternion | Inverse () const
dgQuaternion | Slerp (const dgQuaternion &q1, dgFloat32 t) const
dgVector | CalcAverageOmega (const dgQuaternion &q1, dgFloat32 invdt) const
dgQuaternion | operator* (const dgQuaternion &B) const
dgQuaternion | operator+ (const dgQuaternion &B) const
dgQuaternion | operator- (const dgQuaternion &B) const

## Public Attributes

dgFloat32 | m_q0
dgFloat32 | m_q1
dgFloat32 | m_q2
dgFloat32 | m_q3

## Constructor & Destructor Documentation

## § dgQuaternion() [1/4]

dgQuaternion::dgQuaternion | ( |  | ) |

inline

## § dgQuaternion() [2/4]

dgQuaternion::dgQuaternion | ( | const dgMatrix & | matrix | ) |

## § dgQuaternion() [3/4]

dgQuaternion::dgQuaternion | ( | dgFloat32 | q0,
|  | dgFloat32 | q1,
|  | dgFloat32 | q2,
|  | dgFloat32 | q3
| ) |  |

inline

## § dgQuaternion() [4/4]

dgQuaternion::dgQuaternion | ( | const dgVector & | unit_Axis,
|  | dgFloat32 | angle = `dgFloat32 (0.0f)`
| ) |  |

## Member Function Documentation

## § CalcAverageOmega()

dgVector dgQuaternion::CalcAverageOmega | ( | const dgQuaternion & | q1,
|  | dgFloat32 | invdt
| ) |  | const

## § DotProduct()

dgFloat32 dgQuaternion::DotProduct | ( | const dgQuaternion & | QB | ) | const

inline

## § Inverse()

dgQuaternion dgQuaternion::Inverse | ( |  | ) | const

inline

## § Normalize()

void dgQuaternion::Normalize | ( |  | ) |

inline

## § operator*()

dgQuaternion dgQuaternion::operator* | ( | const dgQuaternion & | B | ) | const

inline

## § operator+()

dgQuaternion dgQuaternion::operator+ | ( | const dgQuaternion & | B | ) | const

inline

## § operator-()

dgQuaternion dgQuaternion::operator- | ( | const dgQuaternion & | B | ) | const

inline

## § Scale()

void dgQuaternion::Scale | ( | dgFloat32 | scale | ) |

inline

## § Slerp()

dgQuaternion dgQuaternion::Slerp | ( | const dgQuaternion & | q1,
|  | dgFloat32 | t
| ) |  | const

## Member Data Documentation

## § m_q0

dgFloat32 dgQuaternion::m_q0

## § m_q1

dgFloat32 dgQuaternion::m_q1

## § m_q2

dgFloat32 dgQuaternion::m_q2

## § m_q3

dgFloat32 dgQuaternion::m_q3

The documentation for this class was generated from the following files:

- dynamics.mod/NewtonDynamics/source/core/dgQuaternion.h
- dynamics.mod/NewtonDynamics/source/core/dgQuaternion.cpp